RHEL 6 : rubygems (RHSA-2014:0207)

medium Nessus 插件 ID 119345

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

更新版 rubygems 程序包修复了一个安全问题,现在可用于 Red Hat OpenShift Enterprise 2.0.2。Red Hat 安全响应团队将此更新评级为具有中等安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其给出了详细的严重性等级。RubyGems 是发布和管理第三方库的 Ruby 标准。已发现 rubygems API 使用不安全的正则表达式验证版本字符串。利用此 API 处理来自不受信任来源的版本字符串的应用程序容易通过 CPU 耗尽遭受拒绝服务攻击。(CVE-2013-4287) Red Hat 在此感谢 Rubygems 上游报告此问题。上游感谢原始报告者 Damir Sharipov。建议所有 Red Hat OpenShift Enterprise 2.0.2 用户升级到此更新版程序包,其中包含用于修正此问题的向后移植修补程序。

解决方案

更新受影响的 rubygems 和/或 rubygems-devel 程序包。

另见

https://access.redhat.com/errata/RHSA-2014:0207

https://access.redhat.com/security/cve/cve-2013-4287

插件详情

严重性: Medium

ID: 119345

文件名: redhat-RHSA-2014-0207.nasl

版本: 1.11

类型: local

代理: unix

发布时间: 2018/12/4

最近更新时间: 2021/1/14

支持的传感器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

风险信息

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.2

矢量: AV:N/AC:M/Au:N/C:N/I:N/A:P

时间矢量: E:U/RL:OF/RC:C

漏洞信息

CPE: p-cpe:/a:redhat:enterprise_linux:rubygems, p-cpe:/a:redhat:enterprise_linux:rubygems-devel, cpe:/o:redhat:enterprise_linux:6

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

可利用: true

易利用性: Exploits are available

补丁发布日期: 2014/2/24

漏洞发布日期: 2013/10/17

参考资料信息

CVE: CVE-2013-4287

BID: 62281

RHSA: 2014:0207